Add a User to an Application
Associate a user with an application
POST
/
v1
/
applications
/
{uid}
/
users
Add a User to an Application
curl --request POST \
--url https://api.siit.io/v1/applications/{uid}/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_uid": "<string>"
}
'import requests
url = "https://api.siit.io/v1/applications/{uid}/users"
payload = { "user_uid": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_uid: '<string>'})
};
fetch('https://api.siit.io/v1/applications/{uid}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"birthday_date": "2023-12-25",
"city": "<string>",
"country": "<string>",
"employee_number": "<string>",
"first_name": "<string>",
"hire_date": "2023-12-25",
"job_leave_date": "2023-12-25",
"job_start_date": "2023-12-25",
"job_title": "<string>",
"last_name": "<string>",
"last_working_date": "2023-12-25",
"metadata": {},
"preferred_language": "<string>",
"probation_end_date": "2023-12-25",
"work_phone": "<string>",
"uid": "<string>",
"admin_permalink_url": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"department": "<string>",
"department_uid": "<string>",
"emails": [
"<string>"
],
"full_name": "<string>",
"legal_entity": "<string>",
"legal_entity_uid": "<string>",
"microsoft_entra_ids": [
"<string>"
],
"microsoft_entra_group_ids": [
"<string>"
],
"office_location": "<string>",
"office_location_uid": "<string>",
"report_to": "<string>",
"report_to_uid": "<string>",
"slack_user_id": "<string>",
"status": "employee",
"team_uids": [
"<string>"
],
"teams": [
"<string>"
],
"timezone": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"troubleshoot": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UID of the Application
Body
application/json
The UID of the User to add
Response
User added to application
Show child attributes
Show child attributes
⌘I
Add a User to an Application

